% Blocking Computation in WDM Networks Toolbox.
% Version 1.0 (R13) 21-Apr-2004
%
% Graphs.
%   shortest_path_bfs            - shortest path in graph (BFS algorithm).
%   shortest_path_dijkstra       - shortest path in graph (Dijkstra's algorithm).
%   shortest_path_dijkstra_all   - shortest path in graph (Modified Dijkstra's algorithm). 
%
% Networks.
%   create_load_manual           - create traffic matrix manually.
%   create_load_uniform          - create traffic matrix uniformly.
%   create_network               - create graph structure manually.
%   create_rand_network          - create random graph structure.
%   plot_network                 - plot network structure.
%
% Rla.
%   compute_blocking_birman      - compute blocking with Birman's model.
%   compute_blocking_kovacievic  - compute blocking with Kovacevics's model.
%   erlang_b                     - Erlang-B formula.
%   p_l                          - blocking on a WDM path.
%   p_m                          - find m free channels on a WDM path.
%
% Simulation.
%   link_sim_conv                - simulate blocking in WDM with no conversion.
%   link_sim_no_conv             - simulate blocking in WDM with conversion.
%
% Examples.
%   blocking_sim_script          - simulate blocking as a function of links.
%   blocking_anl_script          - compute blocking as a function of links.
%   rla_script                   - create structure, compute blocking in a specified network.
%
%   Copyright 2003-2004 Przemyslaw Pawelczak
%   E-mail: przemyslaw_pawelczak@idg.com.pl
%   Wroclaw University of Technology, Poland
%   $Revision: 1.0 $  $Date: 2004/03/23 00:00:00 $