%BLOCKING_ANL_SCRIPT Compute and plot blocking propabilities with P_L
%script for WDM tandem network.
%   Feel free and edit the script to suit your needs.
%
%   Copyright 2003-2004 Przemyslaw Pawelczak
%   E-mail: przemyslaw_pawelczak@idg.com.pl
%   Wroclaw University of Technology, Poland
%   $Revision: 1.0 $  $Date: 2004/04/10 10:11:06 $

%close all, clear all;
t0=clock;

number_links=10;             %Number of links
L(1:number_links)=13.0;      %Total load on link [Erl]
D=1;                        %Degree of conversion (only valid when method==3)
C=15;                        %Number of channels

for k=1:number_links
    p_l_noconv(k)=p_l(L(1:k),C,C,1,1);
    p_l_conv(k)=p_l(L(1:k),C,C,1,2);
    p_l_limit(k)=p_l(L(1:k),C,C,2,3);
end

%Plot blocking
%figure(1);
hold on;
plot(p_l_noconv,'r-');
plot(p_l_conv,'g-*');
plot(p_l_limit,'b-o');
grid on;
legend('No conversion','Full conversion',['Limited conversion, D=',int2str(D)]);
xlabel('Number of nodes');
ylabel('Blocking propability');

%Show time of operaton
operation_time=etime(clock,t0)/60;
disp(sprintf('Operation time: %g min',operation_time));