%BLOCKING_SIM_SCRIPT Compute and plot blocking propabilities with LINK_SIM_CONV
%and LINK_SIM_NO_CONV scripts for WDM tandem network.
%   Feel free and edit the script to suit your needs.
%
%   Copyright 2003-2004 Przemyslaw Pawelczak
%   E-mail: przemyslaw_pawelczak@idg.com.pl
%   Wroclaw University of Technology, Poland
%   $Revision: 1.0 $  $Date: 2004/04/10 10:11:06 $

close all, clear all;
t0=clock;

C=5;                        %Number of channels
L=7;                        %Number of links
load=2;                     %Total load [Erl]
number_generations=2000;    %Number of generations for holding times

%Compute blocking
conve=link_sim_conv(C,L,load,number_generations);
[no_conve_ff,chn_usg]=link_sim_no_conv(C,L,load,number_generations,1);
no_conve_rnd=link_sim_no_conv(C,L,load,number_generations,2);

%Plot blocking
figure(1);
hold on;
plot(conve,'r-');
plot(no_conve_ff,'g-*');
plot(no_conve_rnd,'b-o');
grid on;
legend('Conversion','No conversion - "first-fit"','No conversion - random');
xlabel('Number of nodes');
ylabel('Blocking propability [%]');

%Plot channel usage
figure(2);
stem(chn_usg{1});
xlabel('Channel number');
ylabel('Times of beeing used');
grid off;

%Show time of operaton
operation_time=etime(clock,t0)/60;
disp(sprintf('Operation time: %g min',operation_time));