%RLA_SCRIPT Compute and blocking using reduced load approximation for WDM
%network.
%   Feel free and edit the script to suit your needs.
%
%   Copyright 2003-2004 Przemyslaw Pawelczak
%   E-mail: przemyslaw_pawelczak@idg.com.pl
%   Wroclaw University of Technology, Poland
%   $Revision: 1.0 $  $Date: 2004/05/21 10:11:06 $

close all, clear all;
t0=clock;

%Variables
name='ring';        %Name of analysed network
number=4;           %Number of traffic definition in name.mat file
epsilon=0.001;      %Trheshold value
method=1;           %Type of network (1 - no conversion, 2 - full conversion, 3 - limited conversion)
D=1;                %Degree of conversion (only valid when method==3)
C=3;                %Number of channels

%Compute blocking
disp('Please wait... Computation is running.');
blocking_kovacevic=compute_blocking_kovacevic(name,number,epsilon,method,D,C);
blocking_birman=compute_blocking_birman(name,number,epsilon,method,D,C);

%Take last vector from blocking structure
blocking_kovacevic=struct2cell(blocking_kovacevic);
blocking_kovacevic_length=length(cellfun('ndims',blocking_kovacevic));
blocking_kovacevic=cell2mat(blocking_kovacevic(blocking_kovacevic_length))

blocking_birman=struct2cell(blocking_birman);
blocking_birman_length=length(cellfun('ndims',blocking_birman));
blocking_birman=cell2mat(blocking_birman(blocking_birman_length))

%Plot network
figure(1);
plot_network(name,1);
title(['Analysed network structure: ',upper(name)]);

%Show time of operaton
operation_time=etime(clock,t0)/60;
disp(sprintf('Operation time: %g min',operation_time));